#
# spec file for package python-pytest-sugar
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytest-sugar
Version:        0.9.1
Release:        lp150.1.1
Summary:        Pretty printer for pytest progress
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://pivotfinland.com/pytest-sugar/
Source:         https://files.pythonhosted.org/packages/source/p/pytest-sugar/pytest-sugar-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest
Requires:       python-termcolor
BuildArch:      noarch

%python_subpackages

%description
pytest-sugar is a plugin for py.test that shows failures and errors instantly and shows a progress bar.

%prep
%setup -q -n pytest-sugar-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.md
%{python_sitelib}/*

%changelog
* Sun Feb 18 2018 mimi.vx@gmail.com
- update to 0.9.1
  + Fix incompatibility with pytest 3.4
* Fri Nov 17 2017 jengelh@inai.de
- Fix package name repetition in summary.
* Wed Nov 15 2017 mimi.vx@gmail.com
- initial package
